#!/bin/sh

#
# 実行したいクライアントコマンド名を第一引数に指定し、その後に各引数(引数名と値のペア)を指定して下さい。
#
# ex) /home/user/atClient.sh uploadAccountTransferRequestData -resultFile /home/user/result.txt \
#     -merchantId your-merchant-id -merchantPassword your-merchant-password \
#     -file /home/user/upload.csv
#
# クライアントコマンド名一覧
# uploadAccountTransferRequestData      : 月次振替データファイルアップロード
#                                           resultFile                          実行結果ファイルパス（必須）
#                                           merchantId                          マーチャントID（必須）
#                                           merchantPassword                    マーチャントパスワード（必須）
#                                           file                                月次振替データファイルパス（必須）
#
# downloadAccountTransferResultData     : 月次振替結果ファイル取得要求
#                                           resultFile                          実行結果ファイルパス（必須）
#                                           merchantId                          マーチャントID（必須）
#                                           merchantPassword                    マーチャントパスワード（必須）
#                                           accountTransferManagementId         振替管理ID（必須）
#                                           downloadFile                        月次振替結果ファイル保存先（必須）
#
# downloadAccountTransferMemberData     : 会員データ検索要求
#                                           resultFile                          実行結果ファイルパス（必須）
#                                           merchantId                          マーチャントID（必須）
#                                           merchantPassword                    マーチャントパスワード（必須）
#                                           userId                              検索対象ユーザID（任意）
#                                           branchNumber                        検索対象枝番（任意）
#                                           status                              検索対象ステータス（任意）
#                                           updateDateFrom                      検索対象更新日時、範囲指定のFrom部分（任意）
#                                           updateDateTo                        検索対象更新日時、範囲指定のTo部分（任意）
#                                           offset                              検索結果取得開始位置（任意）
#                                           downloadFile                        検索結果ファイル保存先（必須）
#
# downloadAccountTransferScheduleData   : 振替スケジュール取得要求クライアント
#                                           resultFile                          実行結果ファイルパス（必須）
#                                           merchantId                          マーチャントID（必須）
#                                           merchantPassword                    マーチャントパスワード（必須）
#                                           downloadFile                        振替スケジュールファイル保存先（必須）
#

# このクライアントアプリのホームディレクトリ
AT_CLIENT_HOME=/home/user/atClient

# ライブラリ格納ディレクトリ
AT_CLIENT_LIB_DIR=$AT_CLIENT_HOME/lib

# 設定ファイル格納ディレクトリ
AT_CLIENT_CONF_DIR=$AT_CLIENT_HOME/conf

# JAVAホームディレクトリ
JAVA_HOME=/usr/java

# クラスパスを設定
CLASSPATH=$CLASSPATH:$AT_CLIENT_CONF_DIR
CLASSPATH=$CLASSPATH:$AT_CLIENT_LIB_DIR/*

# 実行
$JAVA_HOME/bin/java -XX:MetaspaceSize=256m -XX:MaxMetaspaceSize=256m -classpath $CLASSPATH jp.veritrans.atrs.client.AtrsClientBatch $*
